<id>
X Posts Before Signature for YaBB 2.4
</id>

<version>
0.1
</version>

<mod info>
Description
-----------
This Mod allows you to set a minimum number of posts Members must have before they are allowed a Signature.

Installation
------------
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.

Files to edit
-------------
Admin/ModList.pl 
Admin/NewSettings.pl 
Admin/Settings_Main.pl
Languages/English/Admin.lng
Sources/Display.pl
Sources/Profile.pl

Version History
---------------
V0.1 - First release - 30th January 2010
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mod_sig_numposts = "X Posts Before Signature|Derek Barnstorm|This Mod allows you to set a minimum number of posts Members must have before they are allowed a Signature.|0.1|30th January 2010";
	push (@installed_mods, "$mod_sig_numposts");
</add before>

<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$MaxSigLen = $MaxSigLen;				# Maximum Allowed Characters in Signatures
</search for>

<add after>
\$sig_numposts = $sig_numposts;			# Number of posts required to have a Signature
</add after>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
# imspam conversion
</search for>

<add before>
# max posts for signature
$sig_numposts = 1 if $sig_numposts eq '';

</add before>

<search for>
			name => 'MaxSigLen',
			validate => 'number,null',
		},
</search for>

<add after>
		{
			description => $admin_txt{'sig_numposts'},
			input_html => qq~<input type="text" name="sig_numposts" size="5" value="$sig_numposts" />~,
			name => 'sig_numposts',
			validate => 'number',
		},
</add after>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
);

%floodtxt = (
</search for>

<add before>
'sig_numposts' => 'Number of posts required to have a signature<br /><span class="small">(Doesn\'t apply to Admins or Gmods)</span>',
</add before>

<edit file>
Sources/Display.pl
</edit file>

<search for>
		$outblock =~ s/({|<)yabb signature(}|>)/${$uid.$musername}{'signature'}/g;
		$outblock =~ s/({|<)yabb signaturehr(}|>)/$signature_hr/g;
</search for>

<replace>
		if (${$uid.$musername}{'postcount'} >= $sig_numposts || ${$uid.$musername}{'position'} eq 'Administrator' || ${$uid.$musername}{'position'} eq 'Global Moderator') {
		    $outblock =~ s/({|<)yabb signature(}|>)/${$uid.$musername}{'signature'}/g;
		    $outblock =~ s/({|<)yabb signaturehr(}|>)/$signature_hr/g;
		} else { 
		    $outblock =~ s/({|<)yabb signature(}|>)//g;
		    $outblock =~ s/({|<)yabb signaturehr(}|>)//g;
		}
</replace>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
		<td align="left"><input type="text" name="usertext" id="usertext" size="40" value="${$uid.$user}{'usertext'}" maxlength="50" /></td>
	</tr>
</search for>

<replace>
		<td align="left"><input type="text" name="usertext" id="usertext" size="40" value="${$uid.$user}{'usertext'}" maxlength="50" /></td>
	</tr>~;
	
	if (${$uid.$user}{'postcount'} >= $sig_numposts || ${$uid.$user}{'position'} eq 'Administrator' || ${$uid.$user}{'position'} eq 'Global Moderator') {
	$showProfile .= qq~
</replace>

<search for>
	</tr>~;

	if ($addmemgroup_enabled > 1 && %NoPost) {
</search for>

<replace>
	</tr>~;
	}

	if ($addmemgroup_enabled > 1 && %NoPost) {
</replace>

<search for>
	if (${$uid.$user}{'signature'}) {
</search for>

<replace>
	if (${$uid.$user}{'signature'} && (${$uid.$user}{'postcount'} >= $sig_numposts || ${$uid.$user}{'position'} eq 'Administrator' || ${$uid.$user}{'position'} eq 'Global Moderator')) {
</replace>
